Loading...
Searching...
No Matches
pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType > Struct Template Reference

`#include <pcl/io/ply/ply_parser.h>`

## Public Types

using | list_property_begin_callback_type = typename list_property_begin_callback_type<SizeType, ScalarType>::type
using | list_property_element_callback_type = typename list_property_element_callback_type<SizeType, ScalarType>::type
using | list_property_end_callback_type = typename list_property_end_callback_type<SizeType, ScalarType>::type
using | type

## Detailed Description

template<typename SizeType, typename ScalarType>
struct pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >

Definition at line 185 of file ply_parser.h.

## Member Typedef Documentation

## list_property_begin_callback_type

template<typename SizeType, typename ScalarType>

using pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >::list_property_begin_callback_type = typename list_property_begin_callback_type<SizeType, ScalarType>::type

Definition at line 187 of file ply_parser.h.

## list_property_element_callback_type

template<typename SizeType, typename ScalarType>

using pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >::list_property_element_callback_type = typename list_property_element_callback_type<SizeType, ScalarType>::type

Definition at line 188 of file ply_parser.h.

## list_property_end_callback_type

template<typename SizeType, typename ScalarType>

using pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >::list_property_end_callback_type = typename list_property_end_callback_type<SizeType, ScalarType>::type

Definition at line 189 of file ply_parser.h.

## type

template<typename SizeType, typename ScalarType>

using pcl::io::ply::ply_parser::list_property_definition_callback_type< SizeType, ScalarType >::type

Initial value:
std::function<std::tuple<
list_property_begin_callback_type,
list_property_element_callback_type,
list_property_end_callback_type
> (const std::string&, const std::string&)>
pcl::io::ply::ply_parser::list_property_definition_callback_type::list_property_end_callback_type
typename list_property_end_callback_type< SizeType, ScalarType >::type list_property_end_callback_type
Definition ply_parser.h:189
pcl::io::ply::ply_parser::list_property_definition_callback_type::list_property_element_callback_type
typename list_property_element_callback_type< SizeType, ScalarType >::type list_property_element_callback_type
Definition ply_parser.h:188
pcl::io::ply::ply_parser::list_property_definition_callback_type::list_property_begin_callback_type
typename list_property_begin_callback_type< SizeType, ScalarType >::type list_property_begin_callback_type
Definition ply_parser.h:187

Definition at line 190 of file ply_parser.h.

The documentation for this struct was generated from the following file:

- pcl/io/ply/ply_parser.h